Package com.microblink.blinkid.entities.recognizers.blinkid.mrtd

# Enum Class MrtdDocumentType

java.lang.Object
java.lang.Enum<MrtdDocumentType>
com.microblink.blinkid.entities.recognizers.blinkid.mrtd.MrtdDocumentType

All Implemented Interfaces:
  `Serializable`, `Comparable<MrtdDocumentType>`, `Constable`

public enum MrtdDocumentType extends Enum<MrtdDocumentType>
Supported MRTD document types

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MRTD_TYPE_BORDER_CROSSING_CARD`
  Border crossing card
  `MRTD_TYPE_DL`
  Single line ISO Driving licence
  `MRTD_TYPE_GREEN_CARD`
  US Green Card
  `MRTD_TYPE_IDENTITY_CARD`
  Identity card
  `MRTD_TYPE_INTERNAL_TRAVEL_DOCUMENT`
  China mainland travel permit
  `MRTD_TYPE_MYS_PASS_IMM13P`
  Malaysian PASS type IMM13P
  `MRTD_TYPE_PASSPORT`
  Passport
  `MRTD_TYPE_UNKNOWN`
  `MRTD_TYPE_VISA`
  Visa

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MrtdDocumentType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MrtdDocumentType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MRTD_TYPE_UNKNOWN

    public static final MrtdDocumentType MRTD_TYPE_UNKNOWN

  - ### MRTD_TYPE_IDENTITY_CARD

    public static final MrtdDocumentType MRTD_TYPE_IDENTITY_CARD
    Identity card

  - ### MRTD_TYPE_PASSPORT

    public static final MrtdDocumentType MRTD_TYPE_PASSPORT
    Passport

  - ### MRTD_TYPE_VISA

    public static final MrtdDocumentType MRTD_TYPE_VISA
    Visa

  - ### MRTD_TYPE_GREEN_CARD

    public static final MrtdDocumentType MRTD_TYPE_GREEN_CARD
    US Green Card

  - ### MRTD_TYPE_MYS_PASS_IMM13P

    public static final MrtdDocumentType MRTD_TYPE_MYS_PASS_IMM13P
    Malaysian PASS type IMM13P

  - ### MRTD_TYPE_DL

    public static final MrtdDocumentType MRTD_TYPE_DL
    Single line ISO Driving licence

  - ### MRTD_TYPE_INTERNAL_TRAVEL_DOCUMENT

    public static final MrtdDocumentType MRTD_TYPE_INTERNAL_TRAVEL_DOCUMENT
    China mainland travel permit

  - ### MRTD_TYPE_BORDER_CROSSING_CARD

    public static final MrtdDocumentType MRTD_TYPE_BORDER_CROSSING_CARD
    Border crossing card

- ## Method Details

  - ### values

    public static MrtdDocumentType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MrtdDocumentType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null